<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.12"/>
<meta name="viewport" content="width=device-width, initial-scale=1"/>
<title>eduRayTracer: Class Members</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="navtree.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="resize.js"></script>
<script type="text/javascript" src="navtreedata.js"></script>
<script type="text/javascript" src="navtree.js"></script>
<script type="text/javascript">
  $(document).ready(initResizable);
</script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/searchdata.js"></script>
<script type="text/javascript" src="search/search.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td id="projectalign" style="padding-left: 0.5em;">
   <div id="projectname">eduRayTracer
   &#160;<span id="projectnumber">v_2017_2018_1</span>
   </div>
   <div id="projectbrief">An Educational Ray Tracing Software Package (by Pedro Santana, ISCTE-IUL)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.12 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
<script type="text/javascript" src="menudata.js"></script>
<script type="text/javascript" src="menu.js"></script>
<script type="text/javascript">
$(function() {
  initMenu('',true,false,'search.php','Search');
  $(document).ready(function() { init_search(); });
});
</script>
<div id="main-nav"></div>
</div><!-- top -->
<div id="side-nav" class="ui-resizable side-nav-resizable">
  <div id="nav-tree">
    <div id="nav-tree-contents">
      <div id="nav-sync" class="sync"></div>
    </div>
  </div>
  <div id="splitbar" style="-moz-user-select:none;" 
       class="ui-resizable-handle">
  </div>
</div>
<script type="text/javascript">
$(document).ready(function(){initNavTree('functions_r.html','');});
</script>
<div id="doc-content">
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
</div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

<div class="contents">
<div class="textblock">Here is a list of all class members with links to the classes they belong to:</div>

<h3><a id="index_r"></a>- r -</h3><ul>
<li>r
: <a class="el" href="class_camera.html#a4309dd7d7a05fd6346db6de286c6ee5a">Camera</a>
</li>
<li>radius
: <a class="el" href="class_sphere.html#a45d6c6c870fac7c2a885ad2e226334ad">Sphere</a>
</li>
<li>Ray()
: <a class="el" href="class_ray.html#a96038ba150ebc0ab85c515cfb097c6cd">Ray</a>
</li>
<li>ray_shading()
: <a class="el" href="class_ray_tracer.html#ada62841980d0982da632d6aa53081538">RayTracer</a>
</li>
<li>RayTracer()
: <a class="el" href="class_ray_tracer.html#a82688d0457a19e0a96f389ef9b89f729">RayTracer</a>
</li>
<li>reflection()
: <a class="el" href="class_scene.html#a428607516caaa0d83047574c4e77ce70">Scene</a>
</li>
<li>reflective
: <a class="el" href="class_material.html#a396bd4e93971db0e58297864217038b4">Material</a>
</li>
<li>refraction()
: <a class="el" href="class_scene.html#a6849be73b0e7e50ec55d1e7a8d0c1ec4">Scene</a>
</li>
<li>refractive
: <a class="el" href="class_material.html#a9af8008c4823e80a06e541f9e4813f7d">Material</a>
</li>
<li>removeSurface()
: <a class="el" href="class_scene.html#a60b89dee490379b29841bb89bdc2de4f">Scene</a>
</li>
<li>render()
: <a class="el" href="class_ray_tracer.html#a5a7a1453c882cf71dc64827e343c1ae4">RayTracer</a>
</li>
<li>rft
: <a class="el" href="class_material.html#a9fccedcfa4d38d3b36f8c09a48811213">Material</a>
</li>
<li>rightOffset
: <a class="el" href="struct_b_v_h_flat_node.html#afb4a21e37575d580a8f78e7e2aff1698">BVHFlatNode</a>
</li>
<li>root_tf
: <a class="el" href="class_scene.html#a979988030703212b02a2ce950b5ed0a6">Scene</a>
</li>
<li>RotX()
: <a class="el" href="class_mat.html#ae8d389f834ae11fb758070887558be4f">Mat</a>
</li>
<li>RotY()
: <a class="el" href="class_mat.html#ad26724c51d7d57072a9a3462bf397059">Mat</a>
</li>
<li>RotZ()
: <a class="el" href="class_mat.html#a34ea7b2e8ecae17538e7acd01aa58cc4">Mat</a>
</li>
</ul>
</div><!-- contents -->
</div><!-- doc-content -->
<!-- start footer part -->
<div id="nav-path" class="navpath"><!-- id is needed for treeview function! -->
  <ul>
    <li class="footer">Generated on Fri Sep 15 2017 15:54:23 for eduRayTracer by
    <a href="http://www.doxygen.org/index.html">
    <img class="footer" src="doxygen.png" alt="doxygen"/></a> 1.8.12 </li>
  </ul>
</div>
</body>
</html>
